WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced Permission System

— Add-On para WorldWideScripts.net

@pt1wwsAssine o nosso feed para se manter atualizado!

Novo! Siga-nos o que você quiser!


Advanced Permission System - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Siga Envato Assista vídeo preview

Atualizado para a versão 1.2

O Sistema de Permissão Avançado (APS) permite-lhe assegurar o seu site ou partes do mesmo.

Você pode proteger seu site com a adição de apenas duas linhas de código na página que você deseja proteger.
Você pode proteger qualquer página e controlar o acesso a partir do painel intuitivo e administração de usuário amigável.
Você pode registrar contas de usuário ilimitadas e criar grupos ilimitados com permissões diferentes.

O sistema é baseado em permissões de grupos. Você pode registrar usuários e adicioná-los a grupos. Se um usuário quiser acessar uma página protegida, ele será solicitado a iniciar sessão. Se sua conta está ativa e está em, pelo menos, em um grupo com permissão para acessar a página atual, ele verá o conteúdo protegido, caso contrário ele vai ver uma mensagem de erro.

Aqui está um pequeno esquema / exemplo de que o sistema faz:

PROTECÇÃO TEVIOR llor GRUPOS PERMISSIONS WEBSITE

Características

  • Número ilimitado de páginas para proteger
  • Número ilimitado de usuários para se registrar
  • Número ilimitado de grupos para adicionar
  • Três tipos de contas de usuário (administrador super, administradores e usuários regulares)
  • Ativados, não activadas e proibidos status de conta
  • URL padrão de retorno após o login
  • Personalizado retornar URL para cada página
  • Mensagem de erro personalizada
  • Usuário de auto-registro (opcional, se ativado em configs)
  • Senha perdida
  • Painel intuitivo e administração amigável
  • Painel de administração orientada a objeto
  • Instalador da Web

Requisitos

O sistema requer PHP e MySQL 5. * * 5. para ser executado.

Changelog

  • 1.2.1
    • Fix: Erro de digitação no instalador cria constante errado no arquivo config.php com nome DEFAULT_DEFAULT_RETURN_URL em vez de DEFAULT_RETURN_URL
  • 1.2
    • Atualização: Windows compatibilidade servidores
    • Correção: Corrigido problema de compatibilidade entre diferentes configurações de servidor para função php echo
    • Adicionado: funcionalidade de senha perdida
    • Adicionado: Usuários auto-registro
    • Adicionado: Multi protecção login (impedir que vários usuários para acessar uma conta ao mesmo tempo)
    • Adicionado: atualizador de banco de dados para a versão 1.2. Para atualizar seu banco de dados que você tem que fazer upload de atualização pasta e abri-lo no seu navegador (Exemplo: Navegue até www.domain.com/aps/update
    • Adicionado: config-example.php - bem documentada arquivo de configuração de exemplo
  • 1.1
    • Adicionado: formulário de login inline (pode proteger parte da sua página web)
    • Update: Primeira usuário admin (de instalação) é super administrador
    • Atualização: Administrador não pode mudar outra condição de administrador
    • Atualização: Administrador não pode adicionar usuário admin
    • Atualização: Administrador não pode excluir usuário admin
    • Update: Apenas Super Administrador pode adicionar e excluir usuários admin
    • Update: Só de super administrador pode alterar o status de administrador
    • Update: Status da conta de administrador e super administrador não importa para o login
    • Update: Melhoria da lógica de código
  • 1.0 - Versão inicial

Download
Outros componentes nesta categoriaTodos os componentes deste autor
ComentáriosPerguntas mais frequentes perguntas e respostas

Propriedades

Criado:
24 mar 12

Última Atualização:
N / A

High Resolution:
não

Navegadores compatíveis:
IE6, IE7, IE8, IE9, IE10, IE11, Firefox, Safari, Opera, Chrome, arquivos incluídos

Software Version:
5.x PHP, MySQL 5.x

Palavras-chave

comé, rcio eletrô, nico, comé, rcio eletrô, nico, todos os itens, acesso, contas, avanç, ado, de controle, grupos, bloqueio, pá, ginas, permissã, o, seguranç, a, sistema, os usuá, rios